Skip to main content
`Ctrl`+`K`

# STMatCreateVecs

Get vector(s) compatible with the `ST` matrices.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STMatCreateVecs(ST st,Vec *right,Vec *left)

Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameters

- right - (optional) vector that the matrix can be multiplied against

- left - (optional) vector that the matrix vector product can be stored in

## See Also

ST: Spectral Transformation, `STMatCreateVecsEmpty()`

## Level

developer

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages